php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #36204 Can’t compile from sources with addition futures (!)
Submitted: 2006-01-30 09:48 UTC Modified: 2006-02-07 01:00 UTC
From: xfree at inbox dot lv Assigned:
Status: No Feedback Package: *Compile Issues
PHP Version: 5.1.2 OS: RHEL 4 Update 2 AS x86_64
Private report: No CVE-ID: None
Have you experienced this issue?
Rate the importance of this bug to you:

 [2006-01-30 09:48 UTC] xfree at inbox dot lv
Description:
------------
Hi, 

After two days trying to compile latest PHP release 5.1.2 from sources I would like to write you about some configuration error. I would like to see 3 things in my PHP: mysql support, mcrypt support and imap support. 

One of the goal reasons witch I see is the AMD64  (x84_64) platform support in PHP.

Now main issue. My compilation script is following:

1)	MySQL. Return error on ./configure step. Configuration test is fail on mysql_close, mysql_error functions. PHP 4.4.0 compiles without errors – its means that MySQL libraries is configured properly.
2)	MCrypt. Return error on ./configure step both PHP4.4.0 and PHP5.1.2. Firstly I compile libmcrypt from sources after mcrypt. Secondly installing libmcrypt-2.5.7 from rpm and after mcrypt from rpm too. Changing libs location from /usr, /usr/local.. trying to set shared options. No any result. The error is the following can’t detect mcrypt version – witch is incorrect because I have a latest lib version.
3)	IMAP. Work with out any problems on my test x84 system. In x84_64 return error compilation step on linking c-client futures. After I installing all require devel libraries from rpms - result is the same – compilation error on c-client libraries linking.

So, thank you for your important work Hope I help you to find and understand problems.
Good lack.


Reproduce code:
---------------
PREFIX=/usr/local/apacheBASE2Beta
./configure \
    --with-apxs2=$PREFIX/bin/apxs \
    --with-openssl \
    --with-bz2 \
    --with-zlib \
    --with-oci8=/home/oracle/OraHome_1 \
    --enable-sigchild \
    --with-gd \
    --without-sqlite \
    --without-pdo-sqlite \
    --with-xml \
    --with-mcrypt=/usr/local
    --with-imap=shared --with-kerberos=/usr/local --with-imap-ssl \
    --with-mysql=shared \
    --with-mysqli=/usr/bin/mysql_config \
    --with-mysql-sock=/var/lib/mysql/mysql.sock
make
make install

Expected result:
----------------
N/A

Actual result:
--------------
N/A

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2006-01-30 10:38 UTC] tony2001@php.net
What if you add --with-libdir=lib64 ?
 [2006-02-07 01:00 UTC] php-bugs at lists dot php dot net
No feedback was provided for this bug for over a week, so it is
being suspended automatically. If you are able to provide the
information that was originally requested, please do so and change
the status of the bug back to "Open".
 
PHP Copyright © 2001-2021 The PHP Group
All rights reserved.
Last updated: Sun Nov 28 21:03:16 2021 UTC